package model.mec;

import model.obor.Obor;
import model.rytier.Rytier;
import model.rytier.StatocnyRytier;

public class OstryMec implements Mec {

	@Override
	public void udri(Obor obod, Rytier rytier) {
		double novaEnergia = 0.9 * obod.vratEnergiu();
		obod.nastavEnergiu((int) novaEnergia);
	}

	@Override
	public void udri(Obor o, StatocnyRytier r) {
		double strata = 0.9 * o.vratEnergiu();
		o.znizEnergiu((int) strata);
	}

}