package model.mec;

import model.obor.Obor;
import model.rytier.Rytier;
import model.rytier.StatocnyRytier;

public class SvetelnyMec implements Mec {

	@Override
	public void udri(Obor obor, Rytier rytier) {
		// Rytier len pre demonstraciu pretazenia
		double novaEnergia = 0.9 * obor.vratEnergiu();
		obor.nastavEnergiu((int) novaEnergia);
	}

	@Override
	public void udri(Obor obor, StatocnyRytier rytier) {
		double strata = 0.2 * obor.vratEnergiu();
		obor.znizEnergiu((int) strata);
	}

}